package de.duehl.basics.text.html;

public class HtmlContentChanger {

    /*
HtmlContentChanger:
~~~~~~~~~~~~~~~~~~~

- Erkennt Kommentare
- Erkennt Tags
   1) <foo bla="blubb"> ... </foo>
   2) <foo bla="blubb"/>
  Hier auch: Tags in Tags wie
      <p>Was für ein <b>schöner</b> Tag.</p>
- erkennt Inhalte von Tags (<foo bla="blubb">INHALT</foo>)
- erkennt freien Text
- Erkennt Text in Anführungszeichen

- Bietet für alle erkannten Dinge Methoden, in welchen die Inhalte modifiziert
  werden können. Etwa
      String changeTag(String tag) {
          return tag;
      }
      String changeTagParameter(String tagParameter) {
          return tagParameter;
      }
      String changeTagParameterContents(String tagParameterContents) {
          return tagParameterContents;
      }
      String changeTagContents(String tagContents) {
          return tagContents;
      }
  die man überschreiben kann.

- Ausführlich mit UnitTests testen, ob er wirklich viele verschiedene
  Eingabe-HTMLs gleich lässt
  Testen mit vielen im Browser mit Ctrl-U gewonnenen Quelltexten aus MazOrgPlus
  und auch sonst.

- Im Fall des SearchHighlighters überschreibt man die Methoden für die
  Inhalte der Tags und der freien Texte.

- Achtung, Tags sind ggf. verschachtelt:
      <p>Was für ein <b>schöner</b> Tag.</p>

      */

}
